



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>第5章 IP地址和子网划分（3）_子网划分</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">第5章 IP地址和子网划分（3）_子网划分</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-15 20:07:03 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p><strong>6.</strong><strong>子网划分</strong></p>
<p><strong>6.1 </strong><strong>地址浪费</strong></p>
<p>（1）IPv4公网地址资源日益紧张，为减少浪费，使IP地址能够充分利用，就要用到子网划分技术。</p>
<p>（2）传统上一个C类地址，如212.2.3.0/24，其可用的地址范围为212.2.3.1～212.2.3.254.如果分配给一个网段有200台计算机，尽管没有用完，但这不算是地址浪费。</p>
<p>（3）如果一个网络有400台计算机，分配一个C类网络，地址就不够用。但如果我们分配一个B类地址（如131.107.0.0/16）给这个网络，则会造成极大的浪费。因为这个地址空间一共有256*256-2个可用的地址。</p>
<p>（4）<strong>子网划分</strong>就是打破IP地址传统的分类，使得<strong>IP地址的数量</strong>和<strong>网络中的计算机数量</strong>更加匹配。</p>
<p><strong>6.2 </strong><strong>等长子网划分</strong></p>
<p>（1）子网划分的两个任务</p>
<p><strong>　　①确定子网掩码的长度</strong></p>
<p><strong>　　②确定子网中第一个可用IP和最后一个可用IP地址</strong></p>
<p>（2）划分方法</p>
<p>　　要将子网等分为<strong>2<sup>n</sup></strong>个更小的子网，则将<strong>子网掩码在原来的基础上右移n位</strong>。<strong>即子网掩码右移n位，则子网被分成2<sup>n</sup>个更小的子网，每个小子网是原来子网的1/2<sup>n</sup>。</strong></p>
<p>（3）以B类地址为例等长划分子网</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/772759/201706/772759-20170617213210775-1192815681.png" /></p>
<p>　　①每个子网能用的主机IP地址，都要<strong>去掉主机位全0和主机位全1的地址</strong>。（见图右边各个子网可用IP地址段）</p>
<p>　　②<strong>子网掩码右移n位</strong>，就可以将网络部分扩展n位，因此<strong>划分出2<sup>n</sup>个更小的子网</strong>。</p>
<p><strong>6.3 </strong><strong>变长子网划分</strong></p>
<p>（1）需求分析：有一个C类网络192.168.0.0/24，需将其分为5个网段以满足以下需求：该网络中有3个交换机，分别连接20台电脑、50台电脑和100台电脑，路由器的连接接口也需要地址，这两个地址也在一个网段。可见每个<strong>子网中计算机的数量是不一样的</strong>，需要的5个子网的<strong>地址空间不等长</strong>的。如下图</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/772759/201706/772759-20170617213227978-1998520252.png" /></p>
<p>（2）分配方案</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/772759/201706/772759-20170617213243400-941753696.png" /></p>
<p>　　①A子网：192.168.0.33～192.168.0.62/27（<strong>A子网为原来的1/2<sup>3</sup></strong>，应将原<strong>子网掩码右移3位</strong>，即27位）</p>
<p>　　②B子网：192.168.0.65～192.168.0.126/26（<strong>B子网为原来的1/2<sup>2</sup></strong>，应将原<strong>子网掩码右移2位</strong>，即26位）</p>
<p>　　③C子网：192.168.0.129～192.168.0.254/25（原理同上，原子网掩码右移1位）</p>
<p>　　④D子网：192.168.0.1～192.168.0.2/30（注意<strong>该网段只有两个可用IP</strong>，而剩余的<strong>192.168.0.3是广播地址，192.168.0.0是网段地址</strong>）</p>
<p>　　⑤E子网：192.168.0.5～192.168.0.6/30（注意<strong>该网段只有两个可用IP</strong>，而剩余的<strong>192.168.0.7是广播地址，192.168.0.4是网段地址</strong>）</p>
<p>　　⑥经过精心规划，满足了5个网段的地址需求，还剩余两个地址块，8～16、16～32没有被使用，但这己经充分比较充分地利用地址空间，不会造成地址的太大浪费。</p>
<p><strong>6.4 </strong><strong>判断IP地址所属的网段</strong></p>
<p>（1）192.168.0.101/26</p>
<p>　　①方法1：传统的方法，将IP地址写成二进制数，然后主机位归0。</p>
<p>　　②方法2：<strong>快速判断</strong>，C类地址默认子网掩码为24位，现在为26位，<strong>子网掩码右移2位</strong>。也就是<strong>将原来的网络等分为4份</strong>，<strong>而101介于64-128之间</strong>，<strong>主机位归0后等于64</strong>。因此该地址所属的网段为192.168.0.64</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/772759/201706/772759-20170617213303853-373811690.png" /></p>
<p>（2）192.168.0.101/27：<strong>子网掩码右移3位，也就是将原来的网络等分为8份</strong>，而<strong>101介于96-128之间，主机位归0后等于96</strong>。因此该地址所属的网段为192.168.0.96。</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/772759/201706/772759-20170617213315040-379705910.png" /></p>
<p><strong>6.5 </strong><strong>其它问题</strong></p>
<p>（1）子网掩码的CIDR（无类域间路由）表示法：如192.168.10.1/26，其中的26表示子网掩码写成二进制后1的个数，这种子网掩码被为可变长子网掩码（VLSM），CIDR表示法打破了IP地址&ldquo;类&rdquo;的概念。</p>
<p>（2）<strong>将一个网络等分成2个子网</strong>，<strong>每个子网肯定是原来的一半</strong>。如将192.168.0.0/24分成两个子网时，两个子网是等长的，而且每个子网最多只能放126台主机，不能超过这个数量。</p>
<p>（3）<strong>子网地址范围不能重叠</strong>。如将192.168.0.0/24划分成3个子网：A.192.168.0.0/25，B.192.168.0.128/25，C.192.168.0.64/26。这样会出现A和C的地址重叠，这是不行的。</p>
<p><img referrerpolicy="no-referrer"src="https://images2015.cnblogs.com/blog/772759/201706/772759-20170617213324915-1921030483.png" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/3902nmmq.html">postman使用之五：Runner的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/rqlpl4e9.html">【总结】探索Newlife组件：服务代理利器XAgent的前世今生</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9pegly8.html">&lbrack;日常训练&rsqb;article</a>
		</li>
						<li><a href="https://www.batexi.com/a/5qylx3m8.html">idea让字体更圆滑</a>
		</li>
						<li><a href="https://www.batexi.com/a/r93r03n9.html">Linux 下安装mysql 链接库</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8m7od68.html">ADF&lowbar;Desktop Integration系列3&lowbar;ADF桌面集成入门之重定义ADF Desktop Excel</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8m0w1o9.html">编译Ngnix遇到的问题&comma;查看程序依赖的库文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/4qn3dg39.html">使用Cydia Substrate 从Native Hook Android Java世界</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8molk09.html">mysql语句优化认识</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pddnek9.html">SDL2源码分析5：更新纹理（SDL&lowbar;UpdateTexture&lpar;&rpar;）</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kprwz9.html">ZBUS &equals; MQ &plus; RPC</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j0kpo8.html">tomcat 假死</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zo4e6xq.html">Android 工程集成React Native 0&period;44 注意点</a>
		</li>
						<li><a href="https://www.batexi.com/a/8me6dlpq.html">利用CSS3制作网页动画</a>
		</li>
						<li><a href="https://www.batexi.com/a/96pv7gn8.html">selenium&plus;python自动化测试，上传文件怎样实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qljzjrx9.html">rhel配置网络yum源</a>
		</li>
						<li><a href="https://www.batexi.com/a/q256po3q.html">WPFのGrid布局的深度理解</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rlp1o9.html">TRIO-basic指令--MOVEMODIFY</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjgev59.html">bzoj 1420 Discrete Root - 原根 - exgcd - BSGS</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gj7x6l9.html">Could not allocate 40960 bytes percpu data</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/93wzzpnq.html">Singer 学习八  运行&amp;amp&semi;&amp;amp&semi;开发taps、targets &lpar;三  开发tap&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zywdov9.html">数据结构（c语言版）代码</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e4vndm9.html">kubernetes 中，Pod、Deployment、ReplicaSet、Service 之间关系分析</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjwnv09.html">Docker 制作自己的镜像</a>
			</li>
						<li><a href="https://www.batexi.com/a/qll6el6q.html">Hadoop HDFS DataNode 目录结构</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyyzdymq.html">HTTP请求回调IM系统LB，确保服务定向调用</a>
			</li>
						<li><a href="https://www.batexi.com/a/90r6voo9.html">Visual Studio搭建Python开发环境</a>
			</li>
						<li><a href="https://www.batexi.com/a/8kjxj169.html">&period;net 4&period;0 程序遇到 停止工作 appcrash &comma;kernelbase&period;dll 等提示</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m212g2q.html">解析H5本地储存Web Storage</a>
			</li>
						<li><a href="https://www.batexi.com/a/8o1mdjxq.html">【java】之常用四大线程池用法以及ThreadPoolExecutor详解</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
